In order to bring you the best possible user experience, this site uses Javascript. If you are seeing this message, it is likely that the Javascript option in your browser is disabled. For optimal viewing of this site, please ensure that Javascript is enabled for your browser.
Login  |   On Demand  |   Home  |   qad.com




Install and Configure Q/LinQ
You should install and configure Q/LinQ using the instructions in External Interface Guide: QAD Q/LinQ in conjunction with the information related to the most current service pack for Q/LinQ. To use Q/LinQ with QXtend, you must have one of the following minimum release levels:
eB Service Pack 7 or higher
eB2 Service Pack 4 or higher
eB2.1 or QAD Enterprise Applications 2008 Standard Edition, any version
QAD Enterprise Applications 2008 Enterprise Edition
A section in the Q/LinQ MOM adapter initialization file (QqMomAdapter.ini) supports the use of Q/LinQ with QXI. The [envelope usage] section indicates for each supported Q/LinQ external application ID whether it uses a QDoc envelope for inbound and outbound communications. Setting this parameter to True indicates to Q/LinQ that it should remove the SOAP envelope before processing a document received from a specific application ID.
Envelope Section lists the variable in the [envelope usage] section of the Q/LinQ MOM Adapter.

Envelope Section
 
Variable
Description
<application ID value>
True if all messages received from and sent to the external application will use the QDoc envelope; otherwise, false. If omitted, false is assumed.
Setting the value to false or omitting it causes the Q/LinQ MOM adapter to behave as it did before the introduction of QDocs.